Loading...
Searching...
No Matches
mypaint-fixed-tiled-surface.h File Reference
`#include "mypaint-config.h"`
`#include "mypaint-glib-compat.h"`
`#include "mypaint-tiled-surface.h"`

Go to the source code of this file.

## Typedefs

typedef struct MyPaintFixedTiledSurface | MyPaintFixedTiledSurface

## Functions

MyPaintFixedTiledSurface * | mypaint_fixed_tiled_surface_new (int width, int height)
int | mypaint_fixed_tiled_surface_get_width (MyPaintFixedTiledSurface *self)
int | mypaint_fixed_tiled_surface_get_height (MyPaintFixedTiledSurface *self)
MyPaintSurface * | mypaint_fixed_tiled_surface_interface (MyPaintFixedTiledSurface *self)

## Typedef Documentation

## MyPaintFixedTiledSurface

typedef struct MyPaintFixedTiledSurface MyPaintFixedTiledSurface

MyPaintFixedTiledSurface:

Simple MyPaintTiledSurface subclass that implements a fixed sized MyPaintSurface. Only intended for testing and trivial use-cases, and to serve as an example of how to implement a tiled surface subclass.

## Function Documentation

## mypaint_fixed_tiled_surface_get_height()

int mypaint_fixed_tiled_surface_get_height | ( | MyPaintFixedTiledSurface * | self | ) |

## mypaint_fixed_tiled_surface_get_width()

int mypaint_fixed_tiled_surface_get_width | ( | MyPaintFixedTiledSurface * | self | ) |

## mypaint_fixed_tiled_surface_interface()

MyPaintSurface * mypaint_fixed_tiled_surface_interface | ( | MyPaintFixedTiledSurface * | self | ) |

## mypaint_fixed_tiled_surface_new()

MyPaintFixedTiledSurface * mypaint_fixed_tiled_surface_new | ( | int | width,
|  | int | height )